indexing

	description: "Simple test class for MYSQL_DATABASE"
	date:        "2000/07/27"
	copyright:   "original 1999 Michael Ravits, %
	            % changed _slightly_ 2000 by Michael Peceny"
	license:     "as original: Eiffel Forum Freeware License, version 1"
	
class SQL_TEST

inherit
	EXCEPTIONS

creation
	make

feature  -- Initialization

	make is
		local
			i, f : INTEGER
		do
			!!database.make

			database.set_host_username_and_password( "localhost", "anonymous", "something" )
			database.connect

			database.set_database_name( "test" )
			database.select_database

			database.set_query( "select * from table_1" )
			database.execute

			from
				i := 1
			until
				i = database.row_count + 1
			loop
				database.select_row( i )
				
				from
					f := 1
				until
					f = database.field_count + 1
				loop
					database.select_field( f )

					io.print( " | " );
					io.print( database.get_field )
					
					f := f + 1
				end
				
				i := i + 1
			end
		rescue
			if is_developer_exception then
				io.print( developer_exception_name )
				io.print( "%N" )
				io.print( database.error )
				io.print( "%N" )
				die( 1 )
			end
		end
feature{NONE}
	
	database : MYSQL_DATABASE	
	
end -- class SQL_TEST